---
title: 'Month 1: Coding, Imposter Syndrome, and Gratitude'
date: 'Feb 11'
featimg: 'writing-images/feedback.jpg'
featimgalt: ''
summary: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit ut aliquam, purus sit'
author: 'Deja Newton'
authorProfile: '/DejaHeadshot.jpg'
authorDescription: 'Deja is an Environmental Sciences student at the University of San Francisco collaborating on Geographic Information System (GIS) data implementation in the ERA design.'
tags: [
    {tag: 'era' }
]
version: '1.0'
published: 'true'
---

I’ve been at Xalgorithms for about a month now. The learning curve has been extremely steep, but that's okay. I’m learning as I go along. I started learning Python this month. In order for me to really get involved with the shapefile data that Ted has, I have to utilize Google Earth Engine. And to do that, I have to learn Python. So I’ve been focusing on that, and getting adjusted to school this semester. Has it been a little frustrating learning to code? Yes, of course. But I know once I get the fundamentals down I’ll get to utilize them in a more productive way. Getting adjusted to my last semester in college has also made progress a little slower than I thought it would be.

I’ve also been excited to write this blog. Writing is one of my passions, and so I’ve been excited to do this and share what I’ve learned over the past month. In a one sentence summary, I’ve learned what Google Earth Engine is, how to code python on a Mac, what systems thinking is, and in a less technical way, how to be confident in asking questions. 

Google Earth Engine is a catalog of satellite imagery and geospatial datasets. It's useful to ERA because we’re able to obtain ongoing empirical data ecoregions around the world on it. The Engine has a Python API, but it's also a programming language for me to know in general, in order to understand and know how to write myself. I’ve been learning with the help of Ted and with LinkedIn Learning, which I gained access to through my University. I will also be using Python in one of my courses this semester, so this has been very helpful to me not just in this role, but academically as well. 

I learned about systems thinking through a meeting I had through a communications meeting with Joseph, Keith, Calvin, and Craig a couple weeks ago. Funny enough, the day after that meeting, the same framework came up again from a different perspective in an environmental monitoring course I’m taking this semester. Systems thinking is the process in how multitudes of things at several scales influence one another as a whole. Feedback loops enable things to work together to survive and thrive, or to degrade and collapse. Some forest ecologies are adapted  to burning occasionally in order for new life to grow and to keep the systems as a whole healthy.

 Relating to ERA , an example of this would be a policy curve that indexes Earth’s resources and provides feedback loops that can be used for many industries. The curve has two endpoints which are increasingly sloped to disincentivize going towards the end that is non beneficial, and to incentivize approaching the beneficial end. Between the two endpoints is a curve that maintains a systemic incentive towards the ecologically beneficial. I’ve been asked to begin learning how to use the Juypter notebook this month so that I can make interactive demos of this curve for the new Xalgorithms website. A more in depth explanation of this will be in a forthcoming Juypter-hosted article.  
 
I’ve been learning how to ask questions and be confident this month as well. Right now I work with several people. I’m in constant contact with Calvin, a data scientist, Keith, a student at University of Miami, Joseph, co-founder of Xalgorithms, and of course Ted, a data scientist. I also attend weekly tech calls with a few other members of the team. The atmosphere I’m in right now as it relates to ERA and the tech calls is majority men. Although the work is virtual, the meetings are virtual, and I am aware that Amanda, a woman, also interned and continues some part-time involvement in the technical design of ERA amid her busy student schedule, there is still a sense of imposter syndrome. Not just because I’m an intern, but because I’m a woman too. After doing a bit of research of my own and discussing with my peers, I’ve realized this is common, especially for Black women. I’ve also found a few ways to counteract it.

 Imposter syndrome in itself, is a psychological state of mind in which one doubts their abilities despite evidence of competency. The term was coined by psychologists in the 1970s because many high achieving women felt inadequate in their positions despite being capable. They attributed their success to ‘luck’ rather than merit. These thoughts can especially be brought on by historical discrimination against women and folks of color (Anene-Maidoh, 2020). When throughout your life you have experienced systemic oppression and been indirectly told the quality of your work is not good, and then start to achieve in ways that are contrary to that messaging, a sense of imposter syndrome sets in, especially for marginalized groups like Black women (Shery Nance-Nash, 2020).

At the first tech call I attended for Xalgorithms before taking on this position, I felt out of depth. This is normal for someone who is early in a tech year and very new to the foundation's work. But still feeling this way more than a month in and having this feeling intensify, I knew there was 
something deeper going on and that I needed to combat it. Over the past month or so, I’ve started becoming comfortable with asking ‘obvious’ questions. Learning Python has been a struggle, but I succeeded most when I asked Ted to clarify the very fundamentals of what I needed to know. I have started being okay with asking questions that may seem elementary. I’ve also become comfortable with saying “I’m not sure.” The feeling of not knowing or having depth in a topic that's brought to you can be daunting, but by acknowledging that just because I may not be as knowledgeable in some areas as I am in others, that doesn't make me any less qualified for the position I am in, helps. Speaking in plain terms has helped me too. When things are starting to sound too complicated for me, I break them down into basic and readable terms. And honestly, I think that’s how science and technology communication should be. It should be broken down in a way that someone who is not a professional in these areas can understand. 

Most importantly, I've had to keep in mind that I was chosen to work here for a reason. I was sought out to be a part of ERA and by that fact alone, I know that I am competent and talented. This here is what has really been helping me along the way as I find new strategies to combat imposter syndrome. 

It’s been a steep start to working with Xalgorithms, but now that I am mastering the basics, things will start to even out and ramp up in terms of my ability to contribute to ERA specifically. I appreciate you taking the invitation to join this journey with me. Whether this is the first blog you’ve read or the second, I love writing these and I look forward to documenting more of my experiences, lessons, and gratitudes here. 
